# Script to scan eagle/hawk header files and determine BNG grid squares for the flight

alltiles=""

if [ -d "./eagle" ] ; then
    cd eagle
else
    if [ -d "./hawk" ] ; then
        cd hawk
    else
        echo "No eagle/hawk directories - cannot scan for BNG tiles"
        exit 1
    fi
fi
dirlist=`ls -1 *.hdr`

for file in $dirlist ; do
    # Read header file, grep starting point, print 5th and 6th fields (lat/long) and strip unwanted characters
    posline=`grep 'GPS Starting point' $file | awk '{print $5 " " $6}' | sed 's/[{},]//g'`
     
    # Run lat/long through script, strip unwanted characters via grep/awk
    tile=`ll2bng.sh $posline | grep '[A-Z]\{2\}[0-9]\{2\}$' | awk '{print $3}'`

    posline2=`grep 'GPS Ending point' $file | awk '{print $5 " " $6}' | sed 's/[{},]//g'`
    tile2=`ll2bng.sh $posline2 | grep '[A-Z]\{2\}[0-9]\{2\}$' | awk '{print $3}'`

    alltiles="$alltiles $tile $tile2"
done
cd ..

echo $alltiles | tr ' ' \\n | sort
